> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List next-step approvers

> Returns the approvers configured in the step that follows the caller's current approval step. Useful for surfacing who the report will be routed to once the caller approves.



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/approvals/{expenseReportId}/approvalchains/{approvalChainId}/nextstep/approvers:
    get:
      tags:
        - Approvals
      summary: List next-step approvers
      description: >-
        Returns the approvers configured in the step that follows the caller's
        current approval step. Useful for surfacing who the report will be
        routed to once the caller approves.
      operationId: listApproversFromNextApprovalStep
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/expenseReportId'
        - name: approvalChainId
          in: path
          description: The approval chain ID
          required: true
          schema:
            $ref: '#/components/schemas/Uuid'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfNextStepApprovers'
              example:
                meta:
                  total: 2
                  count: 2
                data:
                  - id: ff8080818b948960018b948b27930066
                    name: Anna Andersson (anna.andersson@example.com)
                  - id: bcffcd18764b414683edf8b490063054
                    name: Per Stark (per.stark@example.com)
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    expenseReportId:
      in: path
      name: expenseReportId
      required: true
      description: Id of the expense report.
      schema:
        $ref: '#/components/schemas/Uuid'
      example: da35f675f40e47bcae2fff3c43a94c73
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
  schemas:
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    ArrayOfNextStepApprovers:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: integer
              description: Total number of approvers in the next step
            count:
              type: integer
              description: Number of approvers returned in this response
        data:
          type: array
          items:
            $ref: '#/components/schemas/NextStepApprover'
    403Error:
      type: object
      properties:
        result:
          type: string
        description:
          type: string
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    NextStepApprover:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Uuid'
          readOnly: true
        name:
          type: string
          readOnly: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````